diff options
| author | Nathan Perry <np@nathanperry.dev> | 2024-08-15 21:43:00 -0400 |
|---|---|---|
| committer | Nathan Perry <np@nathanperry.dev> | 2024-08-15 21:43:00 -0400 |
| commit | dabf532d8251063606f0ffcffb0faf5444c46a4a (patch) | |
| tree | c05987d9b5481738de6651a6a563e5a967d2ed2b | |
| parent | ba827ea23b170365e86564912bf7c213af1b0c2f (diff) | |
delete mingw-install
| -rw-r--r-- | bin/mingw-install.sh | 40 |
1 files changed, 0 insertions, 40 deletions
diff --git a/bin/mingw-install.sh b/bin/mingw-install.sh deleted file mode 100644 index 6a805e6..0000000 --- a/bin/mingw-install.sh +++ /dev/null @@ -1,40 +0,0 @@ -#!/usr/bin/env bash - -set -euo pipefail - -tmp=$(mktemp -d) - -cleanup() { - status=$? - - rm -rf "$tmp" - - exit $status -} - -trap cleanup EXIT -cd "$tmp" - -echo -n "Downloading mysql lib... " >&2 - -wget \ - 'https://downloads.mysql.com/archives/get/p/19/file/mysql-connector-c-6.1.11-winx64.zip' \ - -qO out.zip - -echo "done" >&2 - -pacman -Sq --noconfirm --needed unzip - -unzip -j -o out.zip -d unzipped - -mv unzipped/libmysql.dll /mingw64/lib/libmysql.dll.a -mv unzipped/libmysql.lib /mingw64/lib/libmysql.a - -echo "Installing required packages..." >&2 - -exec pacman -Sq --noconfirm --needed \ - mingw-w64-x86_64-toolchain \ - mingw-w64-x86_64-opus \ - mingw-w64-x86_64-sqlite3 \ - mingw-w64-x86_64-postgresql \ - mingw-w64-x86_64-openssl \ |
